<template>
  <div>
    <v-carousel hide-delimiters>
      <v-carousel-item
        src="https://static.thairath.co.th/media/dFQROr7oWzulq5Fa5LBgnlKhaGze98GWFXFq6la0CIfZQbOkcV3EShPoPcSkjfuvjpE.jpg"
      >
        <v-row class="fill-height" align="center" justify="center">
          <div class="display-2 white--text pl-5 pr-5 hidden-sm-only">
            <!-- <strong>Upto 60% + Extra 10%</strong> -->
          </div>
          <br />
        </v-row>
      </v-carousel-item>
      <v-carousel-item
        src="https://img.phonandroid.com/2023/01/Galaxy-S23-Series_KV_Product_2p_HI.jpg"
      >
        <v-row class="fill-height" align="center" justify="center">
          <div class="display-2 white--text pl-5 pr-5 hidden-sm-only">
            <!-- <strong>Upto 60% + Extra 10%</strong> -->
          </div>
          <br />
        </v-row>
      </v-carousel-item>
      <v-carousel-item
        src="https://media.icdn.hu/content/entity/2023/11/72696/6554f1740debcvivo-x100-pro-launch.jpeg"
      >
        <v-row class="fill-height" align="center" justify="center">
          <div class="display-2 white--text pl-5 pr-5 hidden-sm-only">
            <!-- <strong>Upto 60% + Extra 10%</strong> -->
          </div>
          <br />
        </v-row>
      </v-carousel-item>
      <v-carousel-item
        src="https://media.wired.com/photos/61bb761477cdb999ac10fbab/3:2/w_1610,h_1073,c_limit/Gear-Oppo-Folding-Phone.jpg"
      >
        <v-row class="fill-height" align="center" justify="center">
          <div class="display-2 white--text pl-5 pr-5 hidden-sm-only">
            <!-- <strong>Upto 60% + Extra 10%</strong> -->
          </div>
          <br />
        </v-row>
      </v-carousel-item>
      <v-carousel-item
        src="https://fdn.gsmarena.com/imgroot/static/headers/makers/xiaomi-2024-1.jpg"
      >
        <v-row class="fill-height" align="center" justify="center">
          <div class="display-2 white--text pl-5 pr-5 hidden-sm-only">
            <!-- <strong>Upto 60% + Extra 10%</strong> -->
          </div>
          <br />
        </v-row>
      </v-carousel-item>
    </v-carousel>

    <div class="pl-4 pr-4 row">
      <div class="col-md-6 col-sm-6 col-xs-12">
        <v-card>
          <v-img
            src="https://t3.ftcdn.net/jpg/02/94/22/52/360_F_294225253_YiGjFQNJfEHvd8jpGAZJJSNGSfBnZxMy.jpg"
            class="white--text align-center"
            gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
            height="400px"
          >
            <!-- <h1 class="text-center font-size">Top Picks</h1> -->
            <div class="text-center-shop">
              <v-btn href="/apple" class="white--text" outlined>SHOP NOW</v-btn>
            </div>

            <!-- <v-expand-transition>-->
            <!--              <div-->
            <!--                v-if="hover"-->
            <!--                class="d-flex transition-fast-in-fast-out orange darken-2 v-card&#45;&#45;reveal display-3 white&#45;&#45;text"-->
            <!--                style="height: 100%;"-->
            <!--              >-->

            <!--                <h3>Top Picks</h3><br/>-->
            <!--                <h3>sdfs</h3>-->
            <!--              </div>-->
            <!--            </v-expand-transition> -->
          </v-img>
        </v-card>
        <!--        </v-hover>-->
      </div>
      <div class="col-md-6 col-sm-6 col-xs-12">
        <v-card>
          <v-img
            src="https://logolook.net/wp-content/uploads/2023/03/Vivo-Symbol.png"
            class="white--text align-center"
            gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
            height="400px"
          >
            <!-- <h1 class="text-center font-size">New Arrivals</h1> -->
            <div class="text-center-shop">
              <v-btn href="/getapi" class="white--text" outlined
                >SHOP NOW</v-btn
              >
            </div>
          </v-img>
        </v-card>
      </div>
    </div>
    <div class="pl-4 pr-4 row">
      <div class="col-md-4 col-sm-4 col-xs-12">
        <v-card outlined>
          <v-img
            src="https://static.cdnlogo.com/logos/o/57/oppo.png"
            class="white--text align-center"
            gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
            height="300px"
          >
            <!-- <h1 class="text-center font-size">Lorem & Ipsum</h1> -->
            <div class="text-center-shop">
              <v-btn class="white--text caption" href="/shop" text
                >SHOP NOW
                <v-icon class="white--text caption"
                  >mdi-arrow-right</v-icon
                ></v-btn
              >
            </div>
          </v-img>
        </v-card>
      </div>
      <div class="col-md-4 col-sm-4 col-xs-12">
        <v-card outlined>
          <v-img
            src="https://cdn.icon-icons.com/icons2/2845/PNG/512/samsung_logo_icon_181348.png"
            class="white--text align-center"
            gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
            height="300px"
          >
            <!-- <h1 class="text-center font-size">Lorem & Ipsum</h1> -->
            <div class="text-center-shop">
              <v-btn class="white--text caption" href="/shop" text
                >SHOP NOW
                <v-icon class="white--text caption"
                  >mdi-arrow-right</v-icon
                ></v-btn
              >
            </div>
          </v-img>
        </v-card>
      </div>
      <div class="col-md-4 col-sm-4 col-xs-12">
        <v-card outlined>
          <v-img
            src="https://static.vecteezy.com/system/resources/previews/020/927/247/original/xiaomi-brand-logo-phone-symbol-with-name-black-design-chinese-mobile-illustration-free-vector.jpg"
            class="white--text align-center"
            gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
            height="300px"
          >
            <!-- <h1 class="text-center font-size">Lorem & Ipsum</h1> -->
            <div class="text-center-shop">
              <v-btn class="white--text caption" href="/shop" text
                >SHOP NOW
                <v-icon class="white--text caption"
                  >mdi-arrow-right</v-icon
                ></v-btn
              >
            </div>
          </v-img>
        </v-card>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      items: [
        { title: "Click Me" },
        { title: "Click Me" },
        { title: "Click Me" },
        { title: "Click Me 2" },
      ],
      activeBtn: 1,
      colors: [
        "indigo",
        "warning",
        "pink darken-2",
        "red lighten-1",
        "deep-purple accent-4",
      ],
      slides: ["First", "Second", "Third", "Fourth", "Fifth"],
    };
  },
};
</script>
<style>
.v-card--reveal {
  align-items: center;
  bottom: 0;
  justify-content: center;
  opacity: 0.5;
  position: absolute;
  width: 100%;
}
.text-center-shop {
  position: absolute;
  bottom: 50px; /* ระยะห่างจากด้านล่าง */
  left: 50%; /* จัดตำแหน่งให้อยู่กลางตามแนวนอน */
  transform: translateX(-50%); /* จัดให้ปุ่มอยู่กลางตามแนวนอน */
  width: 150px; /* กว้างของปุ่ม */
}
</style>
